Bio::Align::StatisticsI(3p)

NAME
Bio::Align::StatisticsI - Calculate some statistics for an alignment

SYNOPSIS
Give standard usage here

DESCRIPTION
Describe the interface here

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  https://github.com/bioperl/bioperl-live/issues

AUTHOR - Jason Stajich
Email jason@bioperl.org

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  distance
 Title   : distance
 Usage   : my $distance_mat = $stats->distance(-align  => $aln,
                                               -method => $method);
 Function: Calculates a distance matrix for all pairwise distances of
           sequences in an alignment.
 Returns : Array ref
 Args    : -align  => Bio::Align::AlignI object
           -method => String specifying specific distance method
                      (implementing class may assume a default)

  available_distance_methods
 Title   : available_distance_methods
 Usage   : my @methods = $stats->available_distance_methods();
 Function: Enumerates the possible distance methods
 Returns : Array of strings
 Args    : none